Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.tasks.copy
Class CopyActionImpl

    java.lang.Object
      org.gradle.api.internal.tasks.copy.CopyActionImpl

All Implemented Interfaces:
  CopyAction

    class CopyActionImpl

author:
  Steve Appling

Constructor Summary
`CopyActionImpl(FileResolver resolver)`
`CopyActionImpl(FileResolver resolver, FileVisitor testVisitor, DirectoryWalker testWalker)`

Method Summary
`void` | `configureRootSpec()`
`CopySpec` | `exclude(java.lang.String excludes)`
`void` | `execute()`
`CopySpec` | `filter(Map map, java.lang.Class filterType)`
`CopySpec` | `filter(java.lang.Class filterType)`
`CopySpec` | `from(java.lang.Object sourcePaths)`
`CopySpec` | `from(java.lang.Object sourcePath, Closure c)`
`CopySpec` | `from(java.lang.Iterable sourcePaths)`
`CopySpec` | `from(java.lang.Iterable sourcePaths, Closure c)`
`File` | `getDestinationDir()`
`boolean` | `getDidWork()`
`List` | `getLeafSyncSpecs()`
`CopySpec` | `getRootSyncSpec()`
`List` | `getSrcDirs()`
`static void` | `globalExclude(java.lang.String excludes)` Set the exclude patterns used by all Copy tasks.
`CopySpec` | `include(java.lang.String includes)`
`CopySpec` | `into(java.lang.Object destDir)`
`CopySpec` | `remapTarget(Closure closure)`
`CopySpec` | `rename(java.lang.String sourceRegEx, java.lang.String replaceWith)`
`void` | `setCaseSensitive(boolean caseSensitive)`
`void` | `setDestinationDir(File destinationDir)`
`void` | `setSrcDirs(List srcDirs)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### CopyActionImpl

    public CopyActionImpl(FileResolver resolver)

### CopyActionImpl

    public CopyActionImpl(FileResolver resolver, FileVisitor testVisitor, DirectoryWalker testWalker)

Method Detail

### configureRootSpec

    public void configureRootSpec()

### exclude

    public CopySpec exclude(java.lang.String excludes)

### execute

    public void execute()

### filter

    public CopySpec filter(Map map, java.lang.Class filterType)

### filter

    public CopySpec filter(java.lang.Class filterType)

### from

    public CopySpec from(java.lang.Object sourcePaths)

### from

    public CopySpec from(java.lang.Object sourcePath, Closure c)

### from

    public CopySpec from(java.lang.Iterable sourcePaths)

### from

    public CopySpec from(java.lang.Iterable sourcePaths, Closure c)

### getDestinationDir

    public File getDestinationDir()

### getDidWork

    public boolean getDidWork()

### getLeafSyncSpecs

    public List getLeafSyncSpecs()

### getRootSyncSpec

    public CopySpec getRootSyncSpec()

### getSrcDirs

    public List getSrcDirs()

### globalExclude

    public static void globalExclude(java.lang.String excludes)

  Set the exclude patterns used by all Copy tasks. This is typically used to set VCS type excludes like:

       Copy.globalExclude( '**\\.svn\\' )

  Note that there are no global excludes by default.
  param:
    excludes

### include

    public CopySpec include(java.lang.String includes)

### into

    public CopySpec into(java.lang.Object destDir)

### remapTarget

    public CopySpec remapTarget(Closure closure)

### rename

    public CopySpec rename(java.lang.String sourceRegEx, java.lang.String replaceWith)

### setCaseSensitive

    public void setCaseSensitive(boolean caseSensitive)

### setDestinationDir

    public void setDestinationDir(File destinationDir)

### setSrcDirs

    public void setSrcDirs(List srcDirs)

Groovy Documentation